import 'package:fis_jsonrpc/rpc.dart';
import 'package:vitalapp/managers/interfaces/base.dart';

/// 检查管理
abstract class IExamManager implements IManager {
  /// 创建检查
  Future<bool?> createExam(CreateExamRequest examRequest);

  /// 编辑检查（弃用）
  Future<bool?> editExam(UpdateExamRequest examRequest);

  /// 新增的接口，根据批次号更新检查
  Future<bool?> updateExamByBatchNumberAsync(
      UpdateExamByBatchNumberRequest updateExamByBatchNumberRequest);
}
